[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.SetColCount

Sets the value for the ColCount property.

## Declaration

Source position: valedit.pas line 171

`protected procedure TValueListEditor.SetColCount(`
`AValue: Integer`
`); override;`

## Arguments

`AValue` |  | New value for the ColCount property.

## Description

SetColCount is an overridden method in TValueListEditor used to set the value for the ColCount property. It raises an EGridException exception if the property is set to any value other than 2.

## See also

TCustomGrid.ColCount |  | Number of columns in the grid.
TCustomGrid.SetColCount |  | Sets the value in the ColCount property.